Skip to content

Add batch non eligible products

POST
/api/v2.0/stores/{storeId}/non-eligible-products
curl --request POST \
--url https://api.diller.app/api/v2.0/stores/your-store-id/non-eligible-products \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '[ { "product_id": "example", "product_id_prefix": "example", "product_category_id": "example", "description": "example", "subsystem": "example", "expires_at": "example" } ]'

Add a batch of non-eligible products for a specific store, with a maximum limit of 100 products.

storeId
required
string

The unique identifier of the store.

Example
your-store-id

The list of non-eligible products to add.

Array<object>
object
product_id

The external product id of the non eligible product

string
nullable
product_id_prefix

Prefix for filtering products with matching product IDs prefix.

string
nullable
product_category_id

The product category id that identifies all related products as non eligible

string
nullable
description
string
nullable
subsystem

Options availabe are ‘All’ - It matchs all subsystems, ‘Loyalty’ - Regarding loyalty points subsystem, ‘Lipscore’

string
nullable
expires_at

The date when the non-eligible product expires. It should use the format yyyy-MM-dd and be greater than today.

string
nullable
Examplegenerated
[
{
"product_id": "example",
"product_id_prefix": "example",
"product_category_id": "example",
"description": "example",
"subsystem": "example",
"expires_at": "example"
}
]

The non-eligible products were successfully added.

Media typeapplication/json
Array<object>
object
id
integer format: int32
description
string
nullable
product_id

The external product id that is non eligible

string
nullable
product_id_prefix

Prefix for filtering products with matching product IDs.

string
nullable
product_category_id

The product category id that identifies all related products as non eligible

string
nullable
subsystem
string
nullable
expires_at
string
nullable
Examplegenerated
[
{
"id": 1,
"description": "example",
"product_id": "example",
"product_id_prefix": "example",
"product_category_id": "example",
"subsystem": "example",
"expires_at": "example"
}
]

Returns a BadRequest response if there are issues with the add request.

Issues may include validation failures.

Check the response body for details on the encountered errors.

Media typeapplication/json
Array<object>
object
product_id
string
nullable
product_id_prefix
string
nullable
errors
Array<string>
nullable
Examplegenerated
[
{
"product_id": "example",
"product_id_prefix": "example",
"errors": [
"example"
]
}
]